camp_triggers = {
	['Campaign Red first destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 100',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("The enemy destroyed its first allied targets, you must defend them.")',
		},
		['active'] = true,
	},
	['Campaign End Loss 3'] = {
		['condition'] = 'GroundTarget["red"].percent < 50',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Iraqian Air Force have successfully destroyed enough Iranian forces to allow a new offensive of enemy ground forces. Iranian air power was not efficient enough to stop Irakian offensive. This is a bitter failure.")',
			[3] = 'Action.AddImage("Newspaper_Victory_red.jpg", "red")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign Red 45 percents destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 55',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Too much allied troops are neutralized. We will ask for a cease fire soon")',
		},
		['active'] = true,
	},
	['CAP After EWR Destroyed'] = {
		['condition'] = 'Return.TargetAlive("EWR 1") == 0 and Return.TargetAlive("EWR 2") == 0 and Return.TargetAlive("EWR 3") == 0',
		['once'] = true,
		['action'] = {
			[2] = 'Action.TargetActive("Al Dhafra AB Alert", false)',
			[3] = 'Action.TargetActive("Sharjah Intl Alert", false)',
			[1] = 'Action.TargetActive("Dubai Intl Alert", false)',
			[4] = 'Action.TargetActive("Al Maktoum Intl Alert", false)',
			[5] = 'Action.Text("With the recent destruction of all Early Warning Radar sites in the operations area, the ability of the enemy to launch interceptors against our strike packages was severely degraded. Intelligence expects that the enemy will increasingly depend on Combat Air Patrols to compensate, though without the support of ground controllers these are estimated to be of limited effectiveness.")',
		},
		['active'] = true,
	},
	['GroundUnitRepair'] = {
		['condition'] = 'true',
		['action'] = 'Action.GroundUnitRepair()',
		['active'] = true,
	},
	['Campaign 30 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 70',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained great damages. Strike missions are really efficient and we will win this war soon")',
		},
		['active'] = true,
	},
	['Campaign End Victory 1'] = {
		['condition'] = 'GroundTarget["blue"].percent < 60',
		['once'] = false,
		['action'] = {
			[2] = 'Action.Text("Iranian Air Force have successfully destroyed enough Iraqi offensives forces preveting them to attack our country anymore. Iranian air power has once again proven its effectiveness and decisiveness. Well done.")',
			[3] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Defeat_red.jpg", "red")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign first destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 100',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("First targets have been destroyed. Keep up the good work")',
		},
		['active'] = true,
	},
	['Campaign End Draw'] = {
		['condition'] = 'MissionInstance == 60',
		['once'] = true,
		['action'] = {
			[1] = 'Action.CampaignEnd("draw")',
			[2] = 'Action.Text("The air campaign has seen a sustained period of inactivity. Seemingly unable to complete the destruction of the Islamic Republic Iranian Air Force and infrastructure, Iraqi Central Command has called off all squadrons from offensive operations. We hope we will be able to launch new attacks to repulse Iraqi invader soon.")',
			[3] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign Red 20 percents destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("The enemy destroyed nearly 20 percents of allied targets, you must defend them.")',
		},
		['active'] = true,
	},
	['Unit Activate MiG-25'] = {
		['condition'] = 'Return.Mission() > 5',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("23 Squadron", true)',
			[2] = 'Action.Text("Reconnaissance has discovered a small number of MiG-25 Foxbat interceptors in Iraq. While the operational readiness of the aircraft is estimated to be low, this mach 3 interceptor is flown by the elite of the pilot cadre and poses a serious threat to our strike missions when encountered. All crews are advised to handle the Foxbat with utmost respect.")',
			[4] = 'Action.AddImage("Recon_MiG-25_2.jpg")',
			[3] = 'Action.AddImage("Recon_MiG-25_1.jpg")',
		},
		['active'] = true,
	},
	['Campaign Briefing'] = {
		['condition'] = 'true',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("The Irakian Air Force have considerable forces. Their main fighters are Mig-21 and Mig-23. The strike missions are made by Su-17 and Mig-23. Russian Mig-25 are trying to avoid our F-14 interceptions relying on their speed but they were not seen in our front sector for a long time. Iraq is trying desperatly to acquire new performing planes to challenge our air force so we should be ready to see any kind of new weapons against us. French Mirage F1 could be a serious threat for our troops. Their interceptor fighters are directed by ground based early warning radar and various SAMs are protecting the cities, the bases and the frontline. There are mainly SA-3 and SA-2 and short range SA-9 and manpads. Shilka and old 23mm twin guns are the main AAA danger")',
			[3] = 'Action.Text("The Islamic Republic of Iran Air Force is flying a mix of F-14A, F-4E and F-5E-3 fighters directed by ground based early warning radar. Air bases and target complexes of high value are protected by west surface-air missile systems, such as the Hawk system and the Rapier, as well as short-range AAA.")',
			[1] = 'Action.Text("April 1983, after the Iraqi brutal aggression against Iran in 1980 the 22nd of september, our army was able to repulse the enemy with the precious help of our Air Forces. The frontline is stabilized and the enemy is now trying to destroy our industrial sites and to terrorized our population bombing our cities. The mission of Islamic Republic of Iran Air Force is to stop enemy bombers, to attack the Irakian troops all along and back to the frontline and to respond with air raids on Irakian cities to their terror bombings.")',
			[4] = 'Action.AddImage("Newspaper_FirstNight_blue.jpg", "blue")',
			[5] = 'Action.AddImage("Newspaper_FirstNight_red.jpg", "red")',
		},
		['active'] = false,
	},
	['Repair'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitRepair()',
		['active'] = true,
	},
	['Unit Activate Mirage F1 EQ'] = {
		['condition'] = 'Return.Mission() > 3',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("79 Squadron", true)',
			[2] = 'Action.Text("Reconnaissance has discovered a french built Mirage F1 EQ Squadron in Iraq. This will be the main danger for our troops because of its weapons loadouts and best french technology . All crews are advised to handle the Mirage with utmost respect.")',
		},
		['active'] = true,
	},
	['Iranian Tanker convoy 3'] = {
		['condition'] = 'Return.Mission() > 10',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Iranian Tanker convoy 3.stm")',
			[2] = 'Action.TargetActive("Iranian Tanker convoy 3", true)',
			[4] = 'Action.Text("Intel has discovered that our Tankers convoys will be targeted soon by Irakian bombers")',
			[3] = 'Action.ShipMission("Iranian Tanker convoy 3", {{"Iranian Tanker convoy 3-1", "Iranian Tanker convoy 3-2", "Iranian Tanker convoy 3-3", "Iranian Tanker convoy 3-4", "Iranian Tanker convoy 3-5", "Iranian Tanker convoy 3-6"}}, 8, 5, nil)',
		},
		['active'] = true,
	},
	['Campaign End Loss'] = {
		['condition'] = 'Return.AirUnitAlive("91 TFS") < 2',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Ongoing combat operations have exhausted our Squadron. Loss rate has reached a level where reinforcements are no longer able to sustain combat operations. With the failure of Iranian Air Force to attain air superiority, Iraqi forces will certainly try to launch a new decisive attack on the frontline. It s a bitter defeat for us")',
			[3] = 'Action.AddImage("Newspaper_Victory_red.jpg", "red")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Iranian Tanker convoy 2'] = {
		['condition'] = 'Return.Mission() > 10',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Iranian Tanker convoy 2.stm")',
			[2] = 'Action.TargetActive("Iranian Tanker convoy 2", true)',
			[4] = 'Action.Text("Intel has discovered that our Tankers convoys will be targeted soon by Irakian bombers")',
			[3] = 'Action.ShipMission("Iranian Tanker convoy 2", {{"Iranian Tanker convoy 2-1", "Iranian Tanker convoy 2-2", "Iranian Tanker convoy 2-3", "Iranian Tanker convoy 2-4", "Iranian Tanker convoy 2-5", "Iranian Tanker convoy 2-6"}}, 8, 5, nil)',
		},
		['active'] = true,
	},
	['Campaign End Victory 2'] = {
		['condition'] = 'Return.totalAirUnitAliveBySide("red") < 10',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("The Irakian Air Force is in ruins. After repeated air strikes and disastrous losses in air-air combat, the Irakians are no longer able to produce any sorties or offer any resistance. The IRIAF now owns complete air superiority. Iranian forces will certainly try to launch a new decisive attack on the frontline. Well done.")',
			[3] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Defeat_red.jpg", "red")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Iranian Tanker convoy 1'] = {
		['condition'] = 'Return.Mission() > 10',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Iranian Tanker convoy 1.stm")',
			[2] = 'Action.TargetActive("Iranian Tanker convoy 1", true)',
			[4] = 'Action.Text("Intel has discovered that our Tankers convoys will be targeted soon by Irakian bombers")',
			[3] = 'Action.ShipMission("Iranian Tanker convoy 1", {{"Iranian Tanker convoy 1-1", "Iranian Tanker convoy 1-2", "Iranian Tanker convoy 1-3", "Iranian Tanker convoy 1-4", "Iranian Tanker convoy 1-5", "Iranian Tanker convoy 1-6"}}, 8, 5, nil)',
		},
		['active'] = true,
	},
	['Campaign 20 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained fair damages. Keep up the good work")',
		},
		['active'] = true,
	},
	['Campaign Red 30 percents destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 70',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Allies troops have sustained great damages. Enemy strike missions are too efficient and they will win this war soon")',
		},
		['active'] = true,
	},
	['Unit Activate Mirage F1CT'] = {
		['condition'] = 'Return.Mission() > 10',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("81 Squadron", true)',
			[2] = 'Action.Text("Reconnaissance has discovered a french built Mirage F1 EQ5 Squadron in Iraq. This plane will be the main danger for structures and ships because of its good weapons loadouts. They are priority targets.")',
		},
		['active'] = true,
	},
	['Blue Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("blue")',
		['active'] = true,
	},
	['Unit Activate MiG-27K'] = {
		['condition'] = 'GroundTarget["blue"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("300 IAP", true)',
			[2] = 'Action.Text("Reconnaissance has detected that a russian squadron of Mig-27 fighter has deployed In Iraq. Intelligence estimates that these Mig may at least partially be equipped with Air to ground and ARM missiles. They will be priority targets for our fighters")',
		},
		['active'] = true,
	},
	['Unit Activate Mig-25RBT'] = {
		['condition'] = 'Return.Mission() > 10',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Intel has discovered that russians new Mig-25 has deployed in Iraq. Their main missions should be Reconnaissance and high altitude bombing")',
			[3] = 'Action.TargetActive("Recon Frontline", true)',
			[1] = 'Action.AirUnitActive("83 Squadron", true)',
			[4] = 'Action.TargetActive("Recon Bandar Abas Airbase", true)',
			[5] = 'Action.TargetActive("Recon navigation lines", true)',
		},
		['active'] = true,
	},
	['Campaign 35 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 65',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("More than a third of our targets are neutralized. Intelligence think that the enemy will ask for a cease fire soon")',
		},
		['active'] = true,
	},
	['Red Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("red")',
		['active'] = true,
	},
}
